declare interface GlobalData {
    InTuning: boolean,
    HideGui: boolean,
    InMenu: boolean,
    InChat: boolean,
    LoggedIn: boolean,
    InInput: boolean
}

declare interface AccountData {
    regDate: string;
    adminLevel: string;
    faction: string;
    factionRank: string;
    group: string;
    groupRank: string;
    job: string;
}

declare interface FactionRanks {
    factionId: number,
    ranks: FactionRank[]
}

declare interface FactionRank {

}